---
lang: en
title: 'API docs: service-proxy.applicationwithservices.component'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.service-proxy.applicationwithservices.component.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/service-proxy](./service-proxy.md) &gt; [ApplicationWithServices](./service-proxy.applicationwithservices.md) &gt; [component](./service-proxy.applicationwithservices.component.md)

## ApplicationWithServices.component() method

<b>Signature:</b>

```typescript
component(component: Class<{}>, name?: string): Binding;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  component | <code>Class&lt;{}&gt;</code> |  |
|  name | <code>string</code> |  |

<b>Returns:</b>

`Binding`


